{
  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
    nixpkgs.url = "github:nixos/nixpkgs";
    sops-nix = {
      url = "github:mic92/sops-nix";
      inputs.nixpkgs.follows = "nixpkgs";
      inputs.nixpkgs-stable.follows = "nixpkgs";
    };
    terranix = {
      url = "github:terranix/terranix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { flake-utils, terranix, sops-nix, ... }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        tfConfig = terranix.lib.terranixConfiguration {
          inherit system;
          modules = [
            sops-nix.nixosModules.sops         # error: attribute 'services' missing
            # sops-nix.homeManagerModules.sops   # error: The option `assertions' does not exist
          ];
        };
      in { defaultApp = { type = "app"; program = "ls ${tfConfig}"; }; });
}
